Bug 437473 - (modeset) aborts on start
(modeset) aborts on start
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-14 09:42 EDT by Bill Nottingham
Modified: 2014-03-16 23:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-08 01:08:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-03-14 09:42:19 EDT
Description of problem:

i945GM. When starting with modeset active, X aborts.

Program received signal SIGABRT, Aborted.
[Switching to Thread 0x7f6b54961780 (LWP 3555)]
0x000000379c232f75 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) bt
#0  0x000000379c232f75 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x000000379c234ae3 in abort () at abort.c:88
#2  0x000000379c22bf09 in __assert_fail (assertion=<value optimized out>, 
    file=<value optimized out>, line=<value optimized out>, 
    function=<value optimized out>) at assert.c:78
#3  0x00007f6b53a9b7b8 in i830_allocate_memory (pScrn=0x875b40, 
    name=0x7f6b53ace43a "compressed frame buffer", size=6291456, 
    alignment=4096, flags=<value optimized out>) at i830_memory.c:762
#4  0x00007f6b53a9c849 in i830_allocate_2d_memory (pScrn=0x875b40)
    at i830_memory.c:1356
#5  0x00007f6b53a94707 in I830ScreenInit (scrnIndex=0, pScreen=0x87ba90, 
    argc=<value optimized out>, argv=<value optimized out>)
    at i830_driver.c:2794
#6  0x000000000042be49 in AddScreen (pfnInit=0x7f6b53a93e00 <I830ScreenInit>, 
    argc=8, argv=0x7fff5c980a78) at main.c:743
#7  0x00000000004622d6 in InitOutput (pScreenInfo=0x7e0d60, argc=8, 
    argv=0x7fff5c980a78) at xf86Init.c:1051
#8  0x000000000042c5e6 in main (argc=8, argv=0x7fff5c980a78, 
    envp=0x7fff5c980ac0) at main.c:358

Version-Release number of selected component (if applicable):


How reproducible:

Every time
Comment 1 Bill Nottingham 2008-03-14 09:42:36 EDT
(II) resource ranges after preInit:
        [0] -1  0       0xffffffff - 0xffffffff (0x1) MX[B]
        [1] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [2] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [3] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [4] 0   0       0x000a0000 - 0x000affff (0x10000) MS[B]
        [5] 0   0       0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [6] 0   0       0x000b8000 - 0x000bffff (0x8000) MS[B]
        [7] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [8] -1  0       0x00000000 - 0x00000000 (0x1) IX[B]
        [9] 0   0       0x000003b0 - 0x000003bb (0xc) IS[B]
        [10] 0  0       0x000003c0 - 0x000003df (0x20) IS[B]
(II) intel(0): Kernel stolen allocator is 7932kb
(II) intel(0): Kernel AGP allocator is 254212kb
(II) intel(0): [drm] Using the DRM lock SAREA also for drawables.
(II) intel(0): [drm] framebuffer mapped by ddx driver
(II) intel(0): [drm] added 1 reserved context for kernel
(II) intel(0): X context handle = 0x1
(II) intel(0): [drm] installed DRM signal handler
(==) intel(0): VideoRam: 254212 KB
(**) intel(0): Framebuffer compression enabled
(**) intel(0): Tiling enabled
(II) intel(0): Attempting memory allocation with tiled buffers.
Comment 2 Charles R. Anderson 2008-04-04 11:28:56 EDT
I don't see this issue either.  Still happening for you?


Intel GM965, i915.modeset=1.
Comment 3 Bill Nottingham 2008-04-08 01:08:21 EDT
Works now on i945.

Note You need to log in before you can comment on or make changes to this bug.